Last Comment Bug 713610 - "ASSERTION: 2nd pass should never guess wrong" in TextOverflow::ExamineLineFrames
: "ASSERTION: 2nd pass should never guess wrong" in TextOverflow::ExamineLineFr...
Status: VERIFIED FIXED
[qa!]
: assertion, regression, testcase
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla12
Assigned To: Mats Palmgren (:mats)
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks: randomstyles
  Show dependency treegraph
 
Reported: 2011-12-26 23:33 PST by Jesse Ruderman
Modified: 2012-04-05 07:35 PDT (History)
5 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
wontfix
verified


Attachments
testcase (216 bytes, text/html)
2011-12-26 23:33 PST, Jesse Ruderman
no flags Details
stack trace (5.09 KB, text/plain)
2011-12-26 23:34 PST, Jesse Ruderman
no flags Details
fix (1.08 KB, patch)
2011-12-28 05:08 PST, Mats Palmgren (:mats)
roc: review+
Details | Diff | Splinter Review
regression test (1.04 KB, patch)
2011-12-28 05:09 PST, Mats Palmgren (:mats)
no flags Details | Diff | Splinter Review

Description Jesse Ruderman 2011-12-26 23:33:35 PST
Created attachment 584389 [details]
testcase

###!!! ASSERTION: 2nd pass should never guess wrong: 'pass == 0', file /builds/slave/m-cen-osx64-dbg/build/layout/generic/TextOverflow.cpp, line 540

Might be a regression from bug 690187.
Comment 1 Jesse Ruderman 2011-12-26 23:34:20 PST
Created attachment 584390 [details]
stack trace
Comment 2 Bernd 2011-12-27 11:55:28 PST
the try server run https://tbpl.mozilla.org/?tree=Try&rev=cab7d4e1219f
 will not execute the test 
"try: -b do -p all -u reftest -t none"

-u crashtest would do
Comment 3 Mats Palmgren (:mats) 2011-12-27 12:06:19 PST
Thanks Bernd.
Comment 4 Mats Palmgren (:mats) 2011-12-28 05:08:34 PST
Created attachment 584552 [details] [diff] [review]
fix

We should guess 'false' for a side that is inactive.
(the rendering should be correct so there's no need to fix this on Aurora)
Comment 5 Mats Palmgren (:mats) 2011-12-28 05:09:24 PST
Created attachment 584553 [details] [diff] [review]
regression test
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-12-30 05:03:42 PST
https://hg.mozilla.org/mozilla-central/rev/18218243232a
https://hg.mozilla.org/mozilla-central/rev/ec08627769aa
Comment 8 Paul Silaghi, QA [:pauly] 2012-04-04 00:00:49 PDT
I'm not able to reproduce the problem. Jesse, is there any chance to remember on what FF did you catch this?
Comment 9 Jesse Ruderman 2012-04-04 02:13:44 PDT
I think it was just a matter of loading the testcase in a debug build of Firefox.
Comment 10 Paul Silaghi, QA [:pauly] 2012-04-05 07:35:02 PDT
I was able to see the crash on 2011-12-26-mozilla-central-debug build.
Verified fixed on FF 12 2012-04-04-mozilla-beta-debug on Win 7/64, Ubuntu 11.10 and Mac OS X 10.6.

Note You need to log in before you can comment on or make changes to this bug.